Web 4

RubyMine이 Cannot Switch SDK 에러를 뱉어낼 때

github에서 어떤 루비온레일즈 소스를 받아서 실행할 때, Cannot Switch SDK 에러를 만날 경우가 있다. dvm use [루비버전]을 몇 번이나 실행해보고 확인해도 문제가 해결되지 않는다면, .ruby-version 파일을 찾아 열어보라! RubyMine을 위한 target version 설정은 아래와 같아야 한다. ruby-[루비 버전] 예) ruby-2.1.1 보통 2.1.1과 같이 버전만 적혀있는 경우가 있는데, IntelliJ에서는 문제가 없으나 RubyMine에서 문제가 튀어나온다. 이것은 rails composer 템플릿이 해당 파일을 자동생성하면서 만드는 문제인 것 같다. ruby-[루비 버전] 하면, 양쪽 IDE에서 두루두루 평안하리라.

Web/RubyOnRails 2014.08.19

[루비온레일즈] ExecJS::RuntimeError in 에러를 뿜을 때

필자는 윈도우 8.1(64비트) 버전에서 루비온레일즈를 개발하고 있는데, 이 운영체제에서만 그런지 모르겠지만, 처음부터 난관이 많다. 이번에는 아래와 같은 에러창이 떴을 때의 해결책을 정리하였다. 1. ExecJS 젬(gem)이 설치된 곳에 찾아간다. 필자의 경우 C:\Ruby200-x64\lib\ruby\gems\2.0.0\gems\execjs-2.0.2\lib\execjs 2. runtimes.rb를 편집할 것인데 만일을 대비하여 runtimes.rb의 복사본을 만들어 놓는다. 3. runtimes.rb를 텍스트 편집기에서 열어 아래와 비슷한 부분을 찾아 아래 코드로 교체 수정한다. JScript = ExternalRuntime.new( :name => "JScript", :command => "cs..

Web/RubyOnRails 2013.12.22

[루비온레일즈] Add 'gem sqlite3' to your Gemfile 에러를 뿜을 때

Ruby 명령창에 rails s를 치고 웹브라우저에 http://localhost:3000을 입력하는 순간. Add 'gem sqlite3' to your Gemfile 에러를 마주하면 적지 않게 당황스럽다. 정확히는 붉은 글자로 Specified 'sqlite3' for database adapter, but the gem is not loaded. Add `gem 'sqlite3'` to your Gemfile. 다. 이것은 sqlite3를 틀림없이 설치해 놓았더라도, 개발환경이 윈도우 64비트 운영체제인 경우에 발생할 수 있다. 당황하지말고 프로젝트 트리에서 Gemfile.lock 파일을 찾아간 다음, sqlite3 (1.3.8-x86-mingw32) 이라고 되어있는 부분을 아래와 같이 고쳐주면 해..

Web/RubyOnRails 2013.12.22

윈도우에 루비온레일즈(Ruby on Rails) 설치하기

시간절약을 위한 요약! 1. Ruby 설치: 아래 페이지에 방문하여 DOWNLOAD 버튼을 눌러 최신 버전의 Ruby를 설치한다. http://rubyinstaller.org/downloads/ 2. 같은 페이지에서 OS에 맞는 Development Kit도 다운받아 압축을 해제한다. 3. 루비 명령창(Start Command Prompt with Ruby)을 실행하여 Development Kit 설치된 곳으로 찾아간다. 예) cd C:\Ruby200-x64\DevKit 4. 아래 명령어를 입력한다. ruby dk.rb init ruby dk.rb install gem install rails

Web/RubyOnRails 2013.12.22